Package org.apache.commons.math3.analysis.solvers

# Interface DifferentiableUnivariateSolver

All Superinterfaces:
  `BaseUnivariateSolver<DifferentiableUnivariateFunction>`

All Known Implementing Classes:
  `AbstractDifferentiableUnivariateSolver`, `NewtonSolver`

@Deprecated public interface DifferentiableUnivariateSolver extends BaseUnivariateSolver<DifferentiableUnivariateFunction>
Deprecated.
as of 3.1, replaced by `UnivariateDifferentiableSolver`
Interface for (univariate real) rootfinding algorithms. Implementations will search for only one zero in the given interval.

## Method Summary

### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

`getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`